JDBCLoginModule (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.auth.server.JDBCLoginModule class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.auth.server
Class JDBCLoginModule

    java.lang.Object
      org.jboss.security.auth.spi.AbstractServerLoginModule
          org.jboss.security.auth.spi.UsernamePasswordLoginModule
              org.hyperic.hq.auth.server.JDBCLoginModule

All Implemented Interfaces:
  javax.security.auth.spi.LoginModule

    public class JDBCLoginModule

extends org.jboss.security.auth.spi.UsernamePasswordLoginModule

A JDBC login module that only supports authentication JDBC LoginModule options: principalsQuery Query used to extract the password for a given user. By default this value is "SELECT password FROM principals WHERE principal=?" dsJndiName JNDI name of the datasource to use. Default value is java:/HypericDS

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Fields inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`callbackHandler, loginOk, options, principalClassName, sharedState, subject, unauthenticatedIdentity, useFirstPass`

Constructor Summary
`JDBCLoginModule()`

Method Summary
`protected java.security.acl.Group[]` | `getRoleSets()`
`protected java.lang.String` | `getUsersPassword()`
`void` | `initialize(javax.security.auth.Subject subject, javax.security.auth.callback.CallbackHandler handler, java.util.Map sharedState, java.util.Map options)`

Methods inherited from class org.jboss.security.auth.spi.UsernamePasswordLoginModule
`createPasswordHash, getCredentials, getIdentity, getUnauthenticatedIdentity, getUsername, getUsernameAndPassword, getValidateError, login, setValidateError, validatePassword`

Methods inherited from class org.jboss.security.auth.spi.AbstractServerLoginModule
`abort, commit, createGroup, createIdentity, getUseFirstPass, logout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected org.apache.commons.logging.Log log

Constructor Detail

### JDBCLoginModule

    public JDBCLoginModule()

Method Detail

### initialize

    public void initialize(javax.security.auth.Subject subject,
                           javax.security.auth.callback.CallbackHandler handler,
                           java.util.Map sharedState,
                           java.util.Map options)

  Specified by:
    `initialize` in interface `javax.security.auth.spi.LoginModule`
  Overrides:
    `initialize` in class `org.jboss.security.auth.spi.UsernamePasswordLoginModule`

### getUsersPassword

    protected java.lang.String getUsersPassword()
                                         throws javax.security.auth.login.LoginException

  Specified by:
    `getUsersPassword` in class `org.jboss.security.auth.spi.UsernamePasswordLoginModule`
  Throws:
    `javax.security.auth.login.LoginException`

### getRoleSets

    protected java.security.acl.Group[] getRoleSets()
                                             throws javax.security.auth.login.LoginException

  Specified by:
    `getRoleSets` in class `org.jboss.security.auth.spi.AbstractServerLoginModule`
  Throws:
    `javax.security.auth.login.LoginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.